{-----------------------------------------------------------------------------
 Unit Name: ResStrings
 Project Name : MapR2toR2
 Author:    Angel Montesinos Amilibia
 January 2003--January 2009
 Purpose: Strings used in the program
-----------------------------------------------------------------------------}
{

MapR2toR2, workshop for smooth maps from R^2 to R^2
Copyright (C) 2008-2009 Angel Montesinos Amilibia,
   University of Valencia, Spain


This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}


unit ResStrings;

interface
  uses
    ConstTypesAndGlobals;
resourcestring

  {Info in Manual}

  eTitle = 'MapR2toR2';
  eVersion = 'version 0.8, January 2009';
  ePurpose = 'Smooth maps from R^2 to R^2, real and complex';
  eAuthor = 'by Angel Montesinos-Amilibia';
  eAddress = 'Departamento de Geometra y Topologa, Universidad de Valencia'+
             kReturn + 'Vicente Andrs Estells, 1, 46100 Burjasot (Valencia), Spain' +
             kReturn + 'email address:  montesin@uv.es';
  eFreeware = 'MapR2toR2 is freeware';
  eManual = 'Manual';

  {----------------}

  epMinLEthanMax = 'The minimum of ''p'' cannot be greater than its maximum';
  eqMinLEthanMax = 'The minimum of ''q'' cannot be greater than its maximum';
  ePReMinLEthanMax = 'The minimum of ''p.re'' cannot be greater than its maximum';
  ePImMinLEthanMax = 'The minimum of ''p.im'' cannot be greater than its maximum';

  euMinLessThanuMax = 'The minimum of ''u'' cannot be greater than its maximum';
  evMinLessThanvMax = 'The minimum of ''v'' must be less than its maximum';
  ezReMinLessThanMax = 'The minimum of ''z.re'' must be less than its maximum';
  ezImMinLessThanMax = 'The minimum of ''z.im'' must be less than its maximum';

  exMinLessThanxMax = 'The minimum of ''x'' must be less than its maximum';
  eyMinLessThanyMax = 'The minimum of ''y'' must be less than its maximum';
  ewReMinLessThanMax = 'The minimum of ''w.Re'' must be less than its maximum';
  ewImMinLessThanMax = 'The minimum of ''w.Im'' must be less than its maximum';


  epBtweenBounds = 'The value of ''p'' must be between its bounds';
  eqBtweenBounds = 'The value of ''q'' must be between its bounds';
  eWholeRange = 'The image of the map will be drawn in its whole range';

  eDeterminantAlmostZero = 'Determinant of coefficients is almost zero';

  eWantToSave = 'Save changes?';

  eMissingFirstFunction = 'You must write the first function';
  eMissingSecondFunction = 'You must write the second function';
  eNothingSignificant =
    'The function text does not seem to have anything significant';

  eDrawIt = 'Draw It';

  eSaveChanges = 'Save changes made to ';
  eBeforeExiting = ' before exiting?';

  eBadFileExtension = 'The file extension was not '+ kFilter;
  eUnknownMapType = 'Unknown map type';
  eBadFileType = 'Bad file type';
  eFileNotAssigned = 'File not assigned';
  eErrorOnWritingFile = 'Error on writing to file';
  eErrorOnReadingFile = 'Error on reading file';
  eVersionNotSupported = 'File version not supported';
  eRealMap= 'real map';
  eComplexMap = 'complex map';
  eUntitled = 'Untitled';


implementation
end.
 